#include <stdio.h>

int main(){
  int m,n,suma=0,i,j;
  
  scanf("%d%d",&m,&n);
  
  if(n<=0 || m<=0 || m<n)
    printf("-1");
  
  else{
    for(j=1;j<=m-n+1;j++){
          for(i=j;i<n+j;i++)
      suma=suma+i;
      
    printf("%d ",suma);
    suma=0;
    }
  }
  return 0;
}
      
      
      
